Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.core.util.statistics
Class SessionStatistics

    java.lang.Object
      oracle.ifs.core.util.statistics.SessionStatistics

    public class SessionStatistics

extends java.lang.Object

A SessionStatistics is a representation of the current state of the session statistics.

Constructor Summary
`protected` | `SessionStatistics(int appSessCount, int maxAppSessCount, int libSessCount, int maxLibSessCount, int activeUserCount, int maxActiveUserCount, int totalActiveUserCount, UserSessionStatistics[] userSessionStats)` Construct a SessionStatistics.

Method Summary
`int` | `getActiveUserCount()` Get the current count of active users.
`int` | `getApplicationSessionCount()` Get the current total Application Session count.
`int` | `getLibrarySessionCount()` Get the current LibrarySession count.
`int` | `getMaxActiveUserCount()` Get the maximum value of the current count of active users since the node was started.
`int` | `getMaxApplicationSessionCount()` Get The maximum value of the total Application Session count since the node was started.
`int` | `getMaxLibrarySessionCount()` Get the maximum value of the total LibrarySession count since the node was started.
`int` | `getTotalActiveUserCount()` Get the total number of active users that have used the node since the node was started.
`UserSessionStatistics[]` | `getUserSessionStatistics()` Get the set of UserSessionStatistics, representing the detailed statistics for each active user.
`java.lang.String` | `toString()` Return string representation of the SessionStatistics, using the default date format that specified date strings in the format "yyyy/MM/dd HH:mm:ss".
`java.lang.String` | `toString(java.text.DateFormat dateFormat)` Return string representation of the SessionStatistics, using the specified DateFormat.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SessionStatistics

    protected SessionStatistics(int appSessCount,
                                int maxAppSessCount,
                                int libSessCount,
                                int maxLibSessCount,
                                int activeUserCount,
                                int maxActiveUserCount,
                                int totalActiveUserCount,
                                UserSessionStatistics[] userSessionStats)

  Construct a SessionStatistics.

  Parameters:
    `appSessCount` - current app Session count
    `maxAppSessCount` - highest the app Session count has been
    `libSessCount` - current LibrarySession count
    `maxLibSessCount` - highest the LibrarySession count has been
    `activeUserCount` - current active user count
    `maxActiveUserCount` - highest the active user count has been
    `totalActiveUserCount` - highest the active user count has been
    `userSessionStats` - user session statistics

Method Detail

### getApplicationSessionCount

    public int getApplicationSessionCount()

  Description copied from class: `SessionStatistics`
  Get the current total Application Session count.

  Returns:
    the current total Application Session count.

### getMaxApplicationSessionCount

    public int getMaxApplicationSessionCount()

  Description copied from class: `SessionStatistics`
  Get The maximum value of the total Application Session count since the node was started.

  Returns:
    the max Application Session count.

### getLibrarySessionCount

    public int getLibrarySessionCount()

  Description copied from class: `SessionStatistics`
  Get the current LibrarySession count.

  Returns:
    the current LibrarySession count.

### getMaxLibrarySessionCount

    public int getMaxLibrarySessionCount()

  Description copied from class: `SessionStatistics`
  Get the maximum value of the total LibrarySession count since the node was started.

  Returns:
    the max LibrarySession count.

### getActiveUserCount

    public int getActiveUserCount()

  Description copied from class: `SessionStatistics`
  Get the current count of active users.

  Returns:
    the current count of active users.

### getMaxActiveUserCount

    public int getMaxActiveUserCount()

  Description copied from class: `SessionStatistics`
  Get the maximum value of the current count of active users since the node was started.

  Returns:
    the max count of active users

### getTotalActiveUserCount

    public int getTotalActiveUserCount()

  Description copied from class: `SessionStatistics`
  Get the total number of active users that have used the node since the node was started.

  Returns:
    the total count of active users

### getUserSessionStatistics

    public UserSessionStatistics[] getUserSessionStatistics()

  Description copied from class: `SessionStatistics`
  Get the set of UserSessionStatistics, representing the detailed statistics for each active user.

  Returns:
    the UserSessionStatistics

### toString

    public java.lang.String toString()

  Description copied from class: `SessionStatistics`
  Return string representation of the SessionStatistics, using the default date format that specified date strings in the format "yyyy/MM/dd HH:mm:ss".

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the string representation

### toString

    public java.lang.String toString(java.text.DateFormat dateFormat)

  Description copied from class: `SessionStatistics`
  Return string representation of the SessionStatistics, using the specified DateFormat.

  Parameters:
    `dateFormat` - the desired date format
  Returns:
    the string representation

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD